## Playing with ffmpeg

...to extrac, manipulate and reassmbly frames 

### Frames extraction
In running the command take note about original video fps
```
ffmpeg -i video.mp4 %05d.png

```

### Video creation from frames
In running the command take note about original video fps
```
ffmpeg -framerate 30 -pattern_type glob -i '*.png' -c:v libx264 -pix_fmt yuv420p paint.mp4

```

### Video warping from  images 
Using CUDA:

```
ffmpeg -y -fflags +genpts -r 30 -hwaccel cuda -hwaccel_output_format cuda -pattern_type glob -i '*.png' -vf "setpts=100*PTS,minterpolate=fps=24:scd=none" -pix_fmt yuv420p  -c:v h264_nvenc "test01.mp4"
```